- Qt 6.11
- Qt WebEngine
- QML Types
- fullScreenRequest
- Qt 6.11.1 Reference Documentation

# fullScreenRequest QML Value Type

A utility type for the WebEngineView::fullScreenRequested() signal. More...

Import Statement: | `import QtWebEngine`
Since: | QtWebEngine 1.1

## Properties

- origin : url
- toggleOn : bool

## Methods

- void accept()
- void reject()

## Detailed Description

See also WebEngineView::fullScreenRequested().

## Property Documentation

### origin : url `[read-only]`

The URL of the web page that issued the fullscreen request.

### toggleOn : bool `[read-only]`

Returns `true` if the application should toggle fullscreen mode on, `false` otherwise.

See also accept().

## Method Documentation

### void accept()

Call this method to accept the fullscreen request. It sets the WebEngineView::isFullScreen property to be equal to toggleOn.

     ApplicationWindow {
         id: window
         WebEngineView {
             onFullScreenRequested: function(request) {
                 if (request.toggleOn)
                     window.showFullScreen()
                 else
                     window.showNormal()
                 request.accept()
             }
         }
     }

See also toggleOn.

### void reject()

Rejects a fullscreen request.